Loading...
Searching...
No Matches
RDValue-doublemagic.h File Reference
`#include <RDGeneral/export.h>`
`#include <cstdint>`
`#include <cassert>`
`#include <any>`
`#include "Invariant.h"`
`#include <iostream>`
`#include <iomanip>`
`#include <sstream>`
`#include <vector>`
`#include <string>`
`#include <RDGeneral/BoostStartInclude.h>`
`#include <boost/utility.hpp>`
`#include <boost/lexical_cast.hpp>`
`#include <boost/type_traits.hpp>`
`#include <boost/static_assert.hpp>`
`#include <RDGeneral/BoostEndInclude.h>`
`#include <cmath>`
`#include "LocaleSwitcher.h"`

Go to the source code of this file.

## Classes

struct | RDKit::RDValue

## Namespaces

namespace | RDKit
| Std stuff.
namespace | RDKit::RDTypeTag

## Macros

#define | RDVALUE_HASBOOL

## Typedefs

typedef RDValue | RDKit::RDValue_cast_t

## Functions

template<class T >
boost::uint64_t | RDKit::RDTypeTag::GetTag ()
template<>
boost::uint64_t | RDKit::RDTypeTag::GetTag< double > ()
template<>
boost::uint64_t | RDKit::RDTypeTag::GetTag< float > ()
template<>
boost::uint64_t | RDKit::RDTypeTag::GetTag< int > ()
template<>
boost::uint64_t | RDKit::RDTypeTag::GetTag< unsigned int > ()
template<>
boost::uint64_t | RDKit::RDTypeTag::GetTag< bool > ()
template<>
boost::uint64_t | RDKit::RDTypeTag::GetTag< std::string > ()
template<>
boost::uint64_t | RDKit::RDTypeTag::GetTag< std::vector< double > > ()
template<>
boost::uint64_t | RDKit::RDTypeTag::GetTag< std::vector< float > > ()
template<>
boost::uint64_t | RDKit::RDTypeTag::GetTag< std::vector< int > > ()
template<>
boost::uint64_t | RDKit::RDTypeTag::GetTag< std::vector< unsigned int > > ()
template<>
boost::uint64_t | RDKit::RDTypeTag::GetTag< std::vector< std::string > > ()
template<>
boost::uint64_t | RDKit::RDTypeTag::GetTag< std::any > ()
void | RDKit::copy_rdvalue (RDValue &dest, const RDValue &src)
template<class T >
bool | RDKit::rdvalue_is (const RDValue_cast_t)
template<>
bool | RDKit::rdvalue_is< double > (const RDValue_cast_t)
template<>
bool | RDKit::rdvalue_is< const double & > (const RDValue_cast_t)
template<class T >
T | RDKit::rdvalue_cast (RDValue_cast_t v)
template<>
double | RDKit::rdvalue_cast< double > (RDValue_cast_t v)
template<>
float | RDKit::rdvalue_cast< float > (RDValue_cast_t v)
template<>
int | RDKit::rdvalue_cast< int > (RDValue_cast_t v)
template<>
unsigned int | RDKit::rdvalue_cast< unsigned int > (RDValue_cast_t v)
template<>
bool | RDKit::rdvalue_cast< bool > (RDValue_cast_t v)

## Variables

static const boost::uint64_t | RDKit::RDTypeTag::NaN = 0xfff7FFFFFFFFFFFF
static const boost::uint64_t | RDKit::RDTypeTag::MaxDouble = 0xfff8000000000000
static const boost::uint64_t | RDKit::RDTypeTag::DoubleTag = 0xfff8000000000000
static const boost::uint64_t | RDKit::RDTypeTag::FloatTag = 0xfff9000000000000
static const boost::uint64_t | RDKit::RDTypeTag::IntTag = 0xfffa000000000000
static const boost::uint64_t | RDKit::RDTypeTag::UnsignedIntTag = 0xfffb000000000000
static const boost::uint64_t | RDKit::RDTypeTag::BoolTag = 0xfffc000000000000
static const boost::uint64_t | RDKit::RDTypeTag::PtrTag = 0xffff000000000000
static const boost::uint64_t | RDKit::RDTypeTag::StringTag = 0xffff000000000001
static const boost::uint64_t | RDKit::RDTypeTag::VecDoubleTag = 0xffff000000000002
static const boost::uint64_t | RDKit::RDTypeTag::VecFloatTag = 0xffff000000000003
static const boost::uint64_t | RDKit::RDTypeTag::VecIntTag = 0xffff000000000004
static const boost::uint64_t | RDKit::RDTypeTag::VecUnsignedIntTag = 0xffff000000000005
static const boost::uint64_t | RDKit::RDTypeTag::VecStringTag = 0xffff000000000006
static const boost::uint64_t | RDKit::RDTypeTag::AnyTag = 0xffff000000000007

## Macro Definition Documentation

## RDVALUE_HASBOOL

#define RDVALUE_HASBOOL

Definition at line 53 of file RDValue-doublemagic.h.